{#
/**
 * @file
 * Seven's theme implementation to display a single Drupal page while offline.
 *
 * All available variables are mirrored in page.html.twig.
 * Some may be blank but they are provided for consistency.
 *
 * @see template_preprocess_maintenance_page()
 */
#}
{{ attach_library('drowl_base/maintenance_page')}}
{% set maintenance_page_content_region_rendered = drupal_region('maintenance_page_content')|render %}
{% set has_advanced_region = maintenance_page_content_region_rendered|striptags|trim|length > 0 ? true : false %}
{% set page_content_rendered = page.content|render %}
{% set page_highlight_rendered = page.highlighted|render %}

{% set required_contents %}
    {% if title %}
        <h1 class="maintenance-message__title">
            {{ title }}
        </h1>
    {% endif %}
    {{ page_highlight_rendered }}
    <div class="maintenance-message__message">
        {{ page_content_rendered }}
    </div>
{% endset %}

{% if has_advanced_region %}
  {# Print region with advanced block (paragraphs) for advanced maintenance pages #}
  <div class="maintenance-page__advanced-region">
    {{ maintenance_page_content_region_rendered }}
    {# Also print the regular content - this is especialy needed for drupal updates
       to see update messages.
    #}
    {% if (page_content_rendered|trim|length > 1) or (page_highlight_rendered|trim|length > 1) %}
        <div class="maintenance-page__message maintenance-message mt-lg">
            {{ required_contents }}
        </div>
    {% endif %}
  </div>
{% else %}
    {# Print regular maintenance page contents (maint. message + contact block) #}
  <div class="maintenance-page__message maintenance-message">
    <header class="text-center" role="banner">
        {% if logo %}
            <div class="maintenance-message__logo">
                <img src="{{ logo }}" alt="Logo"/>
            </div>
        {% endif %}
        {% if site_name and not logo %}
            <div class="lead maintenance-message__site-name">
                {{ site_name }}
            </div>
        {% endif %}
    </header>
    {{ required_contents }}
    <div class="maintenance-message__contact-box">
        {# Show contact block #}
        {{ drupal_entity('block_content', 7) }}
    </div>
  </div>
  {% if page.page_bottom %}
      <footer class="maintenance-page__footer" role="contentinfo">
          {{ page.page_bottom }}
      </footer>
  {% endif %}
{% endif %}
